// LPC-P2148 board: button B1 controls LEDs

/* *********************************************************
               Function declarations
  ********************************************************* */

void IRQ_Routine (void)   __attribute__ ((interrupt("IRQ")));
void FIQ_Routine (void)   __attribute__ ((interrupt("FIQ")));
void SWI_Routine (void)   __attribute__ ((interrupt("SWI")));
void UNDEF_Routine (void) __attribute__ ((interrupt("UNDEF")));

/**********************************************************
                  Header files
 **********************************************************/
#include "lpc210x.h"

/**********************************************************
                       MAIN
**********************************************************/

int	main (void) {	
	IODIR |= 0x00000c00;	// P0.10 & P0.11 output
 	
	while (1) {
		if (IOPIN & (1 << 15)) { //button B1
			IOSET = 0x00000800;
			IOCLR = 0x00000400;
		}
		else {
			IOSET = 0x00000400;
			IOCLR = 0x00000800;
		}
			
	}
}

/*  Stubs for various interrupts (may be replaced later)  */
/*  ----------------------------------------------------  */

void IRQ_Routine (void) {
	while (1) ;	
}

void FIQ_Routine (void)  {
	while (1) ;	
}


void SWI_Routine (void)  {
	while (1) ;	
}


void UNDEF_Routine (void) {
	while (1) ;	
}










